<div class="container mt-3 p-0">
  <div class="container mt-3 p-0">
  <div class="mb-2" *ngFor="let stock of mostTradedStocks">
    <app-info-card
      class="d-lg-none"
      [name]="stock.company"
      [symbol]="stock.symbol"
      [price]="stock.price"
      [companyId]="stock.companyId"
      [img]="stock.logo"
      [company]="stock.market_cap"
      [stats]="stock.stock_percent"
      [sector] = "stock.sector"
      [previous_price] = "stock.yesterday_price"
    ></app-info-card>
  </div>
  <div *ngIf="mostTradedStocks.length">
    <app-info-card-all-stock
      class="d-none d-lg-block"
      name="{{ stock.company }}"
      logo="{{ stock.logo }}"
      sector="{{ stock.sector }}"
      capType="{{ stock.market_cap }}"
      symbol="{{ stock.symbol }}"
      price="{{ stock.price }}"
      dailyChange="{{ stock.gain }}"
      dailyChangeStatusImage="assets/icons/triangle.svg"
      marketCap="{{ stock.market_cap }}"
      [previous_price] = "stock.yesterday_price"
      [companyId]="stock.companyId"
      *ngFor="let stock of mostTradedStocks"
    ></app-info-card-all-stock>
  </div>
  <div
  class="btn btn-primary load-more"
  (click)="handleLoadMore()"
>
  {{ loading ? "Loading.." : "Load more" }}
</div>
</div>
